Bug 970770 - [abrt] libreoffice-core-3.6.6.2-5.fc18: createEmptySequence: Process /usr/lib64/libreoffice/program/soffice.bin was killed by signal 11 (SIGSEGV)
Summary: [abrt] libreoffice-core-3.6.6.2-5.fc18: createEmptySequence: Process /usr/lib...
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Fedora
Classification: Fedora
Component: libreoffice (Show other bugs)
(Show other bugs)
Version: 18
Hardware: x86_64 Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Caolan McNamara
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:1dc9e35d1056289efb123a82529...
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-06-04 19:55 UTC by Jacek Wielemborek
Modified: 2013-07-16 08:53 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-16 08:53:23 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (58.43 KB, text/plain)
2013-06-04 19:55 UTC, Jacek Wielemborek
no flags Details
File: cgroup (129 bytes, text/plain)
2013-06-04 19:55 UTC, Jacek Wielemborek
no flags Details
File: core_backtrace (129.54 KB, text/plain)
2013-06-04 19:55 UTC, Jacek Wielemborek
no flags Details
File: dso_list (27.45 KB, text/plain)
2013-06-04 19:55 UTC, Jacek Wielemborek
no flags Details
File: environ (4.88 KB, text/plain)
2013-06-04 19:55 UTC, Jacek Wielemborek
no flags Details
File: limits (1.29 KB, text/plain)
2013-06-04 19:55 UTC, Jacek Wielemborek
no flags Details
File: maps (126.42 KB, text/plain)
2013-06-04 19:55 UTC, Jacek Wielemborek
no flags Details
File: open_fds (815 bytes, text/plain)
2013-06-04 19:55 UTC, Jacek Wielemborek
no flags Details
File: proc_pid_status (943 bytes, text/plain)
2013-06-04 19:55 UTC, Jacek Wielemborek
no flags Details
File: var_log_messages (360 bytes, text/plain)
2013-06-04 19:55 UTC, Jacek Wielemborek
no flags Details

Description Jacek Wielemborek 2013-06-04 19:55:12 UTC
Description of problem:
I was exploring the Impress trying to figure out how the hell can I change the presentation's colors to simple black-and-white. I think I was in the conspect view selecting part of the presentation, trying to change the font color or something.

Version-Release number of selected component:
libreoffice-core-3.6.6.2-5.fc18

Additional info:
reporter:       libreport-2.1.4
backtrace_rating: 4
cmdline:        /usr/lib64/libreoffice/program/soffice.bin --impress /var/tmp/Wyklad03.pptx --splash-pipe=6
crash_function: createEmptySequence
executable:     /usr/lib64/libreoffice/program/soffice.bin
kernel:         3.8.11-200.fc18.x86_64
runlevel:       N 5
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 createEmptySequence at /usr/src/debug/libreoffice-3.6.6.2/cppu/source/uno/prim.hxx:128
 #1 uno_type_sequence_construct at /usr/src/debug/libreoffice-3.6.6.2/cppu/source/uno/sequence.cxx:804
 #2 Sequence at /usr/src/debug/libreoffice-3.6.6.2/solver/unxlngx6.pro/inc/com/sun/star/uno/Sequence.hxx:60
 #3 sdr::contact::ViewContactOfMasterPageDescriptor::createViewIndependentPrimitive2DSequence at /usr/src/debug/libreoffice-3.6.6.2/svx/source/sdr/contact/viewcontactofmasterpagedescriptor.cxx:61
 #4 sdr::contact::ViewContact::getViewIndependentPrimitive2DSequence at /usr/src/debug/libreoffice-3.6.6.2/svx/source/sdr/contact/viewcontact.cxx:289
 #5 sdr::contact::ViewObjectContactOfMasterPageDescriptor::getPrimitive2DSequenceHierarchy at /usr/src/debug/libreoffice-3.6.6.2/svx/source/sdr/contact/viewobjectcontactofmasterpagedescriptor.cxx:103
 #6 sdr::contact::ViewObjectContact::getPrimitive2DSequenceSubHierarchy at /usr/src/debug/libreoffice-3.6.6.2/svx/source/sdr/contact/viewobjectcontact.cxx:427
 #7 sdr::contact::ViewObjectContactOfSdrPage::getPrimitive2DSequenceHierarchy at /usr/src/debug/libreoffice-3.6.6.2/svx/source/sdr/contact/viewobjectcontactofsdrpage.cxx:699
 #8 sdr::contact::ViewObjectContactOfMasterPageDescriptor::getPrimitive2DSequenceHierarchy at /usr/src/debug/libreoffice-3.6.6.2/svx/source/sdr/contact/viewobjectcontactofmasterpagedescriptor.cxx:114
 #9 sdr::contact::ViewObjectContact::getPrimitive2DSequenceSubHierarchy at /usr/src/debug/libreoffice-3.6.6.2/svx/source/sdr/contact/viewobjectcontact.cxx:427

Comment 1 Jacek Wielemborek 2013-06-04 19:55:17 UTC
Created attachment 756942 [details]
File: backtrace

Comment 2 Jacek Wielemborek 2013-06-04 19:55:21 UTC
Created attachment 756943 [details]
File: cgroup

Comment 3 Jacek Wielemborek 2013-06-04 19:55:25 UTC
Created attachment 756944 [details]
File: core_backtrace

Comment 4 Jacek Wielemborek 2013-06-04 19:55:29 UTC
Created attachment 756945 [details]
File: dso_list

Comment 5 Jacek Wielemborek 2013-06-04 19:55:33 UTC
Created attachment 756946 [details]
File: environ

Comment 6 Jacek Wielemborek 2013-06-04 19:55:39 UTC
Created attachment 756947 [details]
File: limits

Comment 7 Jacek Wielemborek 2013-06-04 19:55:43 UTC
Created attachment 756948 [details]
File: maps

Comment 8 Jacek Wielemborek 2013-06-04 19:55:47 UTC
Created attachment 756949 [details]
File: open_fds

Comment 9 Jacek Wielemborek 2013-06-04 19:55:50 UTC
Created attachment 756950 [details]
File: proc_pid_status

Comment 10 Jacek Wielemborek 2013-06-04 19:55:54 UTC
Created attachment 756951 [details]
File: var_log_messages

Comment 11 Stephan Bergmann 2013-06-05 07:00:53 UTC
Crash is a stack overflow due to infinite recursion:

(1) sdr::contact::ViewObjectContactOfSdrPage instance this=0x32729c0 in sdr::contact::ViewObjectContactOfSdrPage::getPrimitive2DSequenceHierarchy at svx/source/sdr/contact/viewobjectcontactofsdrpage.cxx:699:

> xRetval = getPrimitive2DSequenceSubHierarchy(rDisplayInfo);

(2) ...calls into the same instance's sdr::contact::ViewObjectContact::getPrimitive2DSequenceSubHierarchy at svx/source/sdr/contact/viewobjectcontact.cxx:427:

> drawinglayer::primitive2d::appendPrimitive2DSequenceToPrimitive2DSequence(xSeqRetval, rCandidate.getPrimitive2DSequenceHierarchy(rDisplayInfo));

(3) ...calls into rCandidate being an sdr::contact::ViewObjectContactOfMasterPageDescriptor instance this=0x3898020 at sdr::contact::ViewObjectContactOfMasterPageDescriptor::getPrimitive2DSequenceHierarchy at svx/source/sdr/contact/viewobjectcontactofmasterpagedescriptor.cxx:114:

> xMasterPageSequence = rVOCOfMasterPage.getPrimitive2DSequenceHierarchy(rDisplayInfo);

calls into (1) again with rVOCOfMasterPage again being the sdr::contact::ViewObjectContactOfSdrPage instance this=0x32729c0

Comment 12 David Tardon 2013-06-25 08:49:10 UTC
Somehow the page managed to set itself as its master page. But I cannot see how this could have happened :) I do not suppose it is reproducible?


Note You need to log in before you can comment on or make changes to this bug.